# Class Collision

java.lang.Object
com.codename1.gaming.physics.box2d.collision.Collision

public class Collision extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Collision.ClipVertex`
  `static enum`
  `Collision.PointState`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `NULL_FEATURE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Collision(IWorldPool argPool)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static final int`
  `clipSegmentToLine(Collision.ClipVertex[] vOut, Collision.ClipVertex[] vIn, Vec2 normal, float offset, int vertexIndexA)`
  `final void`
  `collideCircles(Manifold manifold, CircleShape circle1, Transform xfA, CircleShape circle2, Transform xfB)`
  `void`
  `collideEdgeAndCircle(Manifold manifold, EdgeShape edgeA, Transform xfA, CircleShape circleB, Transform xfB)`
  `void`
  `collideEdgeAndPolygon(Manifold manifold, EdgeShape edgeA, Transform xfA, PolygonShape polygonB, Transform xfB)`
  `final void`
  `collidePolygonAndCircle(Manifold manifold, PolygonShape polygon, Transform xfA, CircleShape circle, Transform xfB)`
  `final void`
  `collidePolygons(Manifold manifold, PolygonShape polyA, Transform xfA, PolygonShape polyB, Transform xfB)`
  `final float`
  `edgeSeparation(PolygonShape poly1, Transform xf1, int edge1, PolygonShape poly2, Transform xf2)`
  `final void`
  `findIncidentEdge(Collision.ClipVertex[] c, PolygonShape poly1, Transform xf1, int edge1, PolygonShape poly2, Transform xf2)`
  `final void`
  `findMaxSeparation(com.codename1.gaming.physics.box2d.collision.Collision.EdgeResults results, PolygonShape poly1, Transform xf1, PolygonShape poly2, Transform xf2)`
  `static final void`
  `getPointStates(Collision.PointState[] state1, Collision.PointState[] state2, Manifold manifold1, Manifold manifold2)`
  `final boolean`
  `testOverlap(Shape shapeA, int indexA, Shape shapeB, int indexB, Transform xfA, Transform xfB)`

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NULL_FEATURE

    public static final int NULL_FEATURE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Collision

    public Collision(IWorldPool argPool)

- ## Method Details

  - ### testOverlap

    public final boolean testOverlap(Shape shapeA, int indexA, Shape shapeB, int indexB, Transform xfA, Transform xfB)

  - ### getPointStates

    public static final void getPointStates(Collision.PointState[] state1, Collision.PointState[] state2, Manifold manifold1, Manifold manifold2)

  - ### clipSegmentToLine

    public static final int clipSegmentToLine(Collision.ClipVertex[] vOut, Collision.ClipVertex[] vIn, Vec2 normal, float offset, int vertexIndexA)

  - ### collideCircles

    public final void collideCircles(Manifold manifold, CircleShape circle1, Transform xfA, CircleShape circle2, Transform xfB)

  - ### collidePolygonAndCircle

    public final void collidePolygonAndCircle(Manifold manifold, PolygonShape polygon, Transform xfA, CircleShape circle, Transform xfB)

  - ### edgeSeparation

    public final float edgeSeparation(PolygonShape poly1, Transform xf1, int edge1, PolygonShape poly2, Transform xf2)

  - ### findMaxSeparation

    public final void findMaxSeparation(com.codename1.gaming.physics.box2d.collision.Collision.EdgeResults results, PolygonShape poly1, Transform xf1, PolygonShape poly2, Transform xf2)

  - ### findIncidentEdge

    public final void findIncidentEdge(Collision.ClipVertex[] c, PolygonShape poly1, Transform xf1, int edge1, PolygonShape poly2, Transform xf2)

  - ### collidePolygons

    public final void collidePolygons(Manifold manifold, PolygonShape polyA, Transform xfA, PolygonShape polyB, Transform xfB)

  - ### collideEdgeAndCircle

    public void collideEdgeAndCircle(Manifold manifold, EdgeShape edgeA, Transform xfA, CircleShape circleB, Transform xfB)

  - ### collideEdgeAndPolygon

    public void collideEdgeAndPolygon(Manifold manifold, EdgeShape edgeA, Transform xfA, PolygonShape polygonB, Transform xfB)